dofile("scripts/entities/entityinclude.lua")

n = 0
hand = 0

function init(me)
	setupEntity(me)
	entity_setEntityType(me, ET_NEUTRAL)
	entity_initSkeletal(me, "CreatorForm1SunkenCity")
	entity_setAllDamageTargets(me, false)
	
	entity_setState(me, STATE_IDLE)
	
	hand = entity_getBoneByName(me, "Hand")
end

function postInit(me)
	n = getNaija()
	entity_setTarget(me, n)
end

function update(me, dt)
	--entity_updateMovement(me, dt)
	
	if entity_isState(me, STATE_GRAB) then
		li = getLi()
		if li ~= 0 then
			entity_setPosition(li, bone_getWorldPosition(hand))
		end
	end
end

function enterState(me)
	if entity_isState(me, STATE_IDLE) then
		entity_animate(me, "idle", -1)
	elseif entity_isState(me, STATE_GRAB) then
		
	end
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

